package com.thomaskuenneth.appframework;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.EventObject;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import org.jdesktop.application.Application;
import org.jdesktop.application.Application.ExitListener;

public class Demo2 extends Application implements ExitListener {

    private JFrame f = null;

    public static void main(String[] args) {
        Application.launch(Demo2.class, args);
    }

    @Override
    protected void startup() {
        addExitListener(this);
        f = new JFrame(getClass().getName());
        JLabel label = new JLabel("Hallo iX");
        label.setOpaque(true);
        label.setForeground(Color.green);
        label.setBackground(Color.black);
        label.setFont(Font.decode("Courier-72"));
        f.add(label, BorderLayout.CENTER);
        f.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
        f.addWindowListener(new WindowAdapter() {

            @Override
            public void windowClosing(WindowEvent e) {
                exit(e);
            }
        });
        f.pack();
        f.setLocationRelativeTo(null);
        f.setVisible(true);
    }

    @Override
    protected void shutdown() {
        f.setVisible(false);
        System.out.println("shutdown");
    }

    public boolean canExit(EventObject event) {
        if (JOptionPane.showConfirmDialog(f, "Anwendung beenden?") == JOptionPane.YES_OPTION) {
            return true;
        }
        return false;
    }

    public void willExit(EventObject event) {
        System.out.println("Anwendung wird beendet");
    }
}
